Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.jsp.wb
Class Toolbar

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLElementContainer
                  |
                  +--oracle.jdeveloper.html.HTMLToolBar
                        |
                        +--oracle.jdeveloper.jsp.wb.Toolbar

public class Toolbar
extends HTMLToolBar
implements WebBean

A Web Bean class that provides methods to dynamically generate an HTML toolbar and render it to the output stream of a JavaServer Page response.

Field Summary
`protected WebBeanImpl` | `webBean`

Fields inherited from class oracle.jdeveloper.html.HTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Fields inherited from interface oracle.jdeveloper.html.WebBean
`contentFrameName, defaultCaboBase, defaultCaboImageBase, defaultImageBase, defaultJSPBase, JS_LIBRARIES, JS_NAMEID, JSButtonConstructorLib, JSCalendarConstructorLib, JSContainerConstructorLib, JSDataConstructLib, JSModalPageConstructorLib, JSTableConstructLib, JSToolbarConstructorLib, JSTreeConstructLib, JSUtilitiesLib`

Constructor Summary
`Toolbar()`

Method Summary
`void` | `addSeparator()` Adds a separator using the default separator image name
`java.lang.String` | `getImageBase()`
`java.lang.String` | `getLeftImage()`
`java.lang.String` | `getRightImage()`
`void` | `initialize(javax.servlet.jsp.PageContext page)` Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
`void` | `initialize(javax.servlet.ServletContext application, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.jsp.JspWriter out)` Initializes the Toolbar object to have access to the important objects of the JSP page.
`void` | `initialize(javax.servlet.ServletContext application, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.io.PrintWriter out)` Initializes the Toolbar object to have access to the important objects of the JSP page.
`void` | `internalInitialize()` Internal initialize.
`void` | `render()` Renders the Toolbar to the output stream of the JSP page's response.
`void` | `render(java.io.PrintWriter out)` This is the main entry point for rendering the HTML content.
`protected void` | `renderContainerFooter(java.io.PrintWriter out)` Renders the container footer that follows the form elements
`void` | `renderContainerHeader(java.io.PrintWriter out)` Renders the container header.
`void` | `setImageBase(java.lang.String sBase)` Sets the image base URL needed to resolve the HTML toolbar's images for the rounded corners.
`void` | `setLeftImage(java.lang.String sImage)` Provides the url that refers to the toolbar's left image.
`void` | `setRightImage(java.lang.String sImage)` Provides the url that refers to the toolbar's right image.

Methods inherited from class oracle.jdeveloper.html.HTMLToolBar
`addButton, addButton, addDisabledButton, addDisabledButton, addSeparator`

Methods inherited from class oracle.jdeveloper.html.HTMLElementContainer
`addElement, addForm, addHeader, addImage, addImageClass, addImageURL, addTable, addTextURL, addToolBar, elementAt, endCenter, numberOfElements, renderElementFooter, renderElementHeader, skipLine, startCenter`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### webBean

    protected WebBeanImpl webBean

Constructor Detail

### Toolbar

    public Toolbar()

Method Detail

### getImageBase

    public java.lang.String getImageBase()

  Returns:
    the URL being used as the base for retrieving images needed in order to implement the rounded corner surrounding the generated HTML toolbar.

### setImageBase

    public void setImageBase(java.lang.String sBase)

  Sets the image base URL needed to resolve the HTML toolbar's images for the rounded corners.
  Parameters:
    `the` - URL where the images are stored. The default is '/webapp/images'

### addSeparator

    public void addSeparator()

  Adds a separator using the default separator image name

### setLeftImage

    public void setLeftImage(java.lang.String sImage)

  Provides the url that refers to the toolbar's left image. This image serves as an endpoint that caps off the middle images in the toolbar.

### getLeftImage

    public java.lang.String getLeftImage()

  Returns:
    the current URL being used for the left image of the toolbar

### setRightImage

    public void setRightImage(java.lang.String sImage)

  Provides the url that refers to the toolbar's right image. This image serves as an endpoint that caps off the middle images in the toolbar.

### getRightImage

    public java.lang.String getRightImage()

  Returns:
    the current URL being used for the right image of the toolbar

### initialize

    public void initialize(javax.servlet.ServletContext application,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           java.io.PrintWriter out)
                    throws java.lang.Exception

  Initializes the Toolbar object to have access to the important objects of the JSP page.
  Specified by:
    initialize in interface WebBean
  Parameters:
    `application` - the JSP page's ServletContext
    `session` - the JSP page's HttpSession
    `request` - the JSP page's HttpServletRequest
    `response` - the JSP page's HttpServletResponse
    `out` - the PrintWriter that receives the render output

### initialize

    public void initialize(javax.servlet.jsp.PageContext page)
                    throws java.lang.Exception

  Description copied from interface: WebBean
  Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
  Specified by:
    initialize in interface WebBean
  Tags copied from interface: WebBean
  Parameters:
    `page` - the JSP page's ServletContext.

### initialize

    public void initialize(javax.servlet.ServletContext application,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           javax.servlet.jsp.JspWriter out)
                    throws java.lang.Exception

  Initializes the Toolbar object to have access to the important objects of the JSP page.
  Parameters:
    `application` - the JSP page's ServletContext
    `session` - the JSP page's HttpSession
    `request` - the JSP page's HttpServletRequest
    `response` - the JSP page's HttpServletResponse
    `out` - the JSP page's JspWriter

### internalInitialize

    public void internalInitialize()
                            throws java.lang.Exception

  Description copied from interface: WebBean
  Internal initialize. This method should be overriden by any WebBean needing to initialize some internal data after all the base class member have been initialize properly.
  Specified by:
    internalInitialize in interface WebBean

### render

    public void render()
                throws java.lang.Exception

  Renders the Toolbar to the output stream of the JSP page's response.
  Specified by:
    render in interface WebBean

### renderContainerHeader

    public void renderContainerHeader(java.io.PrintWriter out)

  Renders the container header. This generates the HTML code that precedes the form elements.
  Overrides:
    renderContainerHeader in class HTMLToolBar

### renderContainerFooter

    protected void renderContainerFooter(java.io.PrintWriter out)

  Renders the container footer that follows the form elements
  Overrides:
    renderContainerFooter in class HTMLToolBar

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  This is the main entry point for rendering the HTML content.
  Specified by:
    render in interface WebBean
  Overrides:
    render in class HTMLToolBar
  Tags copied from interface: WebBean
  Parameters:
    `out` - the PrintWriter to render to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD